## eos-downloader 0.8.1

=== debian/changelog ===
eos-downloader (0.8.1-3) sid; urgency=medium

  * Uploading to sid.
  * Manually removing some files that pybuild doesn't clean up during
    build.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 14 Aug 2023 12:16:55 +0200

eos-downloader (0.8.1-2) sid; urgency=medium

  * Uploading to sid.
  * Uploading source-only without changes to allow testing migration.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 12 Jun 2023 07:31:51 +0200

eos-downloader (0.8.1-1) sid; urgency=medium

  * Initial upload to sid.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 11 May 2023 11:25:33 +0200

## eos-downloader 0.9.0

=== Makefile ===
CURRENT_DIR = $(shell pwd)

DOCKER_NAME ?= titom73/eos-downloader
DOCKER_TAG ?= dev
DOCKER_FILE ?= Dockerfile
PYTHON_VER ?= 3.9

.PHONY: build
build:
	docker build -t $(DOCKER_NAME):$(DOCKER_TAG) --build-arg DOCKER_VERSION=$(DOCKER_VERSION) -f $(DOCKER_FILE) .

=== debian/changelog ===
eos-downloader (0.9.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.9.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 10 Oct 2023 11:54:23 +0200

eos-downloader (0.8.2-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.8.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 04 Sep 2023 10:54:38 +0200

=== debian/control ===
Source: eos-downloader
Section: contrib/admin
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/titom73/eos-downloader
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/eos-downloader
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/eos-downloader

Package: eos-downloader
Section: contrib/admin
Architecture: all
Depends:
 python3-cvprac,
 ${misc:Depends},
 ${python3:Depends},
Description: Arista EOS download tool
 CLI tool to download Arista softwares like EOS and CVP.

## eos-downloader 0.10.2

=== debian/changelog ===
eos-downloader (0.10.2-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.10.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 03 Jun 2024 22:09:48 +0200

eos-downloader (0.10.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.10.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 21 Apr 2024 22:03:33 +0200

eos-downloader (0.10.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.10.0.
  * Updating copyright for 2024.
  * Updating to standards-version 4.7.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 08 Apr 2024 10:23:57 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-all,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/titom73/eos-downloader
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/eos-downloader
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/eos-downloader

## eos-downloader 0.10.3

=== debian/changelog ===
eos-downloader (0.10.3-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.10.3.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 09 Nov 2024 09:19:02 +0100

## eos-downloader 0.12.0

=== debian/changelog ===
eos-downloader (0.12.0-1) sid; urgency=medium

  * Merging upstream version 0.12.0.
  * Updating year in upstream copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Mon, 10 Feb 2025 06:41:01 +0100

eos-downloader (0.10.3-2) sid; urgency=medium

  * Updating source url in copyright.
  * Updating vcs fields.
  * Updating email address.
  * Updating year in debian copyright for 2025.
  * Trimming debian changelog.

 -- Daniel Baumann <daniel@debian.org>  Wed, 05 Feb 2025 15:50:19 +0100

## eos-downloader 0.12.1

=== debian/changelog ===
eos-downloader (0.12.1-1) sid; urgency=medium

  * Merging upstream version 0.12.1.

 -- Daniel Baumann <daniel@debian.org>  Wed, 19 Feb 2025 06:34:58 +0100

=== debian/control ===
Source: eos-downloader
Section: contrib/admin
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/titom73/eos-downloader
Vcs-Browser: https://forgejo.debian.net/arista/eos-downloader
Vcs-Git: https://forgejo.debian.net/arista/eos-downloader

Package: eos-downloader
Section: contrib/admin
Architecture: all
Depends:
 python3-cvprac,
 ${misc:Depends},
 ${python3:Depends},
Description: Arista EOS download tool
 CLI tool to download Arista softwares like EOS and CVP.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/eos-downloader-$1\.tar\.gz/ \
https://github.com/titom73/eos-downloader/tags .*/v?(\d\S+)\.tar\.gz

## eos-downloader 0.13.0

=== Makefile ===
CURRENT_DIR = $(shell pwd)

DOCKER_NAME ?= ghcr.io/titom73/eos-downloader
DOCKER_TAG ?= dev
DOCKER_FILE ?= Dockerfile
PYTHON_VER ?= 3

.PHONY: help
help: ## Display help message
	@grep -E '^[0-9a-zA-Z_-]+\.*[0-9a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

.PHONY: base
base: ## Build a base image
	docker build -t $(DOCKER_NAME):$(DOCKER_TAG) --build-arg DOCKER_VERSION=$(DOCKER_VERSION) -f $(DOCKER_FILE) .

.PHONY: dnd
dnd:  ## Build a docker in docker image
	docker build -t $(DOCKER_NAME):dnd-$(DOCKER_TAG) --build-arg DOCKER_VERSION=$(DOCKER_VERSION) -f Dockerfile.docker .

.PHONY: build
build: base dnd  ## Build all dockers images (base and dnd)

.PHONY: push
push: ## Push the docker image to the registry
	docker push $(DOCKER_NAME):$(DOCKER_TAG)

=== debian/changelog ===
eos-downloader (0.13.0-2) sid; urgency=medium

  * Uploading without changes to sid.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Aug 2025 21:39:59 +0200

eos-downloader (0.13.0-1) experimental; urgency=medium

  * Merging upstream version 0.13.0.

 -- Daniel Baumann <daniel@debian.org>  Sun, 06 Jul 2025 07:31:54 +0200

eos-downloader (0.12.1-3) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 04:38:41 +0200

eos-downloader (0.12.1-2) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.

 -- Daniel Baumann <daniel@debian.org>  Wed, 19 Mar 2025 19:11:41 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-all,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/titom73/eos-downloader
 Vcs-Browser: https://forgejo.debian.net/arista/eos-downloader
 Vcs-Git: https://forgejo.debian.net/arista/eos-downloader

=== debian/watch ===
version=4
https://github.com/titom73/eos-downloader/tags .*/v?(\d.*)@ARCHIVE_EXT@

## eos-downloader 0.14.0

=== Makefile ===
--- 
+++ 
@@ -23,3 +23,73 @@
 .PHONY: push
 push: ## Push the docker image to the registry
 	docker push $(DOCKER_NAME):$(DOCKER_TAG)
+
+################################################################################
+# Documentation targets
+################################################################################
+
+.PHONY: docs-serve
+docs-serve: ## Serve documentation locally (with live reload)
+	@echo "Starting MkDocs server..."
+	@echo "Access at: http://127.0.0.1:8000"
+	mkdocs serve
+
+.PHONY: docs-build
+docs-build: ## Build documentation (with strict mode)
+	@echo "Building documentation..."
+	mkdocs build --strict --verbose --clean
+	@echo "✓ Documentation built successfully in ./site/"
+
+.PHONY: docs-test
+docs-test: ## Test mike deployment locally (no push)
+	@echo "Testing mike deployment..."
+	@mike deploy test-build test
+	@echo "✓ Mike test successful (commit not pushed)"
+	@mike list
+	@echo ""
+	@echo "⚠️  To undo the local commit: git reset --soft HEAD~1"
+
+.PHONY: docs-list
+docs-list: ## List all deployed documentation versions
+	@echo "Deployed documentation versions:"
+	@mike list
+
+.PHONY: docs-deploy-dev
+docs-deploy-dev: ## Deploy development documentation (main)
+	@echo "Deploying development documentation..."
+	mike deploy --push main development
+	@echo "✓ Development documentation deployed"
+
+.PHONY: docs-deploy-stable
+docs-deploy-stable: ## Deploy stable documentation (requires VERSION var)
+ifndef VERSION
+	@echo "Error: VERSION variable is required"
+	@echo "Usage: make docs-deploy-stable VERSION=v0.13.0"
+	@exit 1
+endif
+	@echo "Deploying stable documentation for $(VERSION)..."
+	mike deploy --push $(VERSION) stable
+	mike set-default --push stable
+	@echo "✓ Stable documentation deployed for $(VERSION)"
+
+.PHONY: docs-delete
+docs-delete: ## Delete a documentation version (requires VERSION var)
+ifndef VERSION
+	@echo "Error: VERSION variable is required"
+	@echo "Usage: make docs-delete VERSION=v0.10.0"
+	@exit 1
+endif
+	@echo "Deleting documentation version $(VERSION)..."
+	@read -p "Are you sure? [y/N]: " confirm && [ "$$confirm" = "y" ]
+	mike delete --push $(VERSION)
+	@echo "✓ Documentation version $(VERSION) deleted"
+
+.PHONY: docs-clean
+docs-clean: ## Clean built documentation
+	@echo "Cleaning documentation build..."
+	rm -rf site/
+	@echo "✓ Documentation build cleaned"
+
+.PHONY: docs-help
+docs-help: ## Show documentation helper commands
+	@./scripts/docs-helper.sh help

=== debian/changelog ===
eos-downloader (0.14.0-1) sid; urgency=medium

  * Updating watch file to version 5.
  * Removing rules-requires-root, not needed anymore.
  * Merging upstream version 0.14.0.

 -- Daniel Baumann <daniel@debian.org>  Sat, 01 Nov 2025 06:28:05 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/titom73/eos-downloader
 Vcs-Browser: https://forgejo.debian.net/arista/eos-downloader

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=eos-downloader

%:
	dh ${@} --buildsystem=pybuild

execute_after_dh_auto_clean:
	# help pybuild
	rm -rf *.egg-info

override_dh_auto_test:
	# disabled: requires network

=== debian/watch ===
Version: 5

Template: Github
Owner: titom73
Project: @PACKAGE@
